Subject: [Rfced-future] Fwd: New Version Notification for draft-iab-rfcefdp-rfced-model-02.txt

From: Peter Saint-Andre <[email-masked]>
Date: Tue, 14 Sep 2021 13:07:44 -0600

Hi all,

Here's an updated version of our draft. This should enable us to close
more issues. As always, text is subject to revision based on further
feedback.

Russ, have at it! :-)

Peter

-------- Forwarded Message --------
Subject: New Version Notification for draft-iab-rfcefdp-rfced-model-02.txt
Date: Tue, 14 Sep 2021 12:05:55 -0700
From: [email-masked]
To: Peter Saint-Andre <[email-masked]>

A new version of I-D, draft-iab-rfcefdp-rfced-model-02.txt
has been successfully submitted by Peter Saint-Andre and posted to the
IETF repository.

Name:		draft-iab-rfcefdp-rfced-model
Revision:	02
Title:		RFC Series Policy Definition and Implementation
Document date:	2021-09-14
Group:		iab
Pages:		21
URL:
https://www.ietf.org/archive/id/draft-iab-rfcefdp-rfced-model-02.txt
Status:
https://datatracker.ietf.org/doc/draft-iab-rfcefdp-rfced-model/
Htmlized:
https://datatracker.ietf.org/doc/html/draft-iab-rfcefdp-rfced-model
Diff:
https://www.ietf.org/rfcdiff?url2=draft-iab-rfcefdp-rfced-model-02

Abstract:
   This document describes updated processes for defining and
   implementing policies regarding the RFC Series.  As specified here,
   the model divides the responsibilities for the RFC Series into two
   high-level functions: policy definition governing the RFC Series as a
   whole, and policy implementation for publication of documents in the
   RFC Series.  The policy definition function is the responsibility of
   the RFC Series Working Group (RSWG), which produces policy proposals
   that are subject to approval by the RFC Series Approval Board (RSAB).
   The policy implementation function is primarily the responsibility of
   the RFC Production Center (RPC), under the ultimate authority of the
   IETF Administration Limited Liability Company (IETF LLC).

   This document reflects experience gained with version 1 of the RFC
   Editor Model as specified in RFC 5620 and with version 2 as specified
   in RFC 6635 and RFC 8728.

   This document obsoletes RFC 8728.

The IETF Secretariat

---

From: Peter Saint-Andre <[email-masked]>
Date: Tue, 14 Sep 2021 13:54:45 -0600

P.S. My intent as editor (depending on the amount and nature of feedback
received over the next ~10 days) is to publish -03 either before our
next meeting on September 28 or soon thereafter.

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 15 Sep 2021 09:21:10 +1200

Hi,

Thanks for this; IMHO we are making good progress. Here are a few points that occurred to me:

There's something wrong with the first sentence of the Introduction. It seems to have got shuffled.

Question: Should we confirm somewhere that copyright in RFCs (to the extent that "we" own it) is assigned to the IETF Trust?

>  	4.  RFC Series Editor/Advisor (RSEA)
...
> Matters on which the RSEA might be consulted could include proposed	
> changes to the RFC style guide [RFC7322],

Nit: the style guide is more than the RFC, as per https://www.rfc-editor.org/styleguide/

Fix: remove this reference to RFC7322; the style guide is discussed later (section 5.2).

Question: Should we indicate that the RSEA is expected to be a part-time role?

>  	5.1.  Roles and Processes
...
> In general, the RPC is instructed by RFCs published in the Editorial	
> Stream (i.e., not directly by the RSWG, RSAB, or RSEA), is advised by	
> the RSAB and has a duty to ask for that advice under specific	
> circumstances, and is contractually overseen by the IETF LLC to	
> ensure that it performs in accordance with contracts in place.

1) This sentence is a bit long. Split it or make it a bullet list?

2) I strongly suggest "is advised by the RSEA or RSAB". We don't want to wake up the RSAB for every detail.

3) "under specific circumstances" is unspecified. What sort of circumstances?

Regards
   Brian Carpenter

---

From: Peter Saint-Andre <[email-masked]>
Date: Thu, 16 Sep 2021 12:24:56 -0600

> Hi,

Hi Brian, thanks for the review.

> There's something wrong with the first sentence of the Introduction. It seems to have got shuffled.

I copied that verbatim from §2 of RFC 8729. How would you suggest
changing it?

> Question: Should we confirm somewhere that copyright in RFCs (to the extent that "we" own it) is assigned to the IETF Trust?

That's what all the boilerplate asserts, no? For example:

   Copyright (c) 2020 IETF Trust and the persons identified as the
   document authors.  All rights reserved.

Although I think we still have an open issue about boilerplate for the
Editorial Series...

> Fix: remove this reference to RFC7322; the style guide is discussed later (section 5.2).

Done in my working draft.

> Question: Should we indicate that the RSEA is expected to be a part-time role?

That seems reasonable, although this might be a matter for the job
description and the contracting process. (What if we add 6 more streams
and it becomes a full-time role?)

> 1) This sentence is a bit long. Split it or make it a bullet list?

I'll make it a bullet list.

> 2) I strongly suggest "is advised by the RSEA or RSAB". We don't want to wake up the RSAB for every detail.

That makes sense.

> 3) "under specific circumstances" is unspecified. What sort of circumstances?

We got that text from Jay, so I defer to him. He might have had in mind
the section "Resolution of Disagreements between Authors and the RPC".
If so, we could change the wording as so:

* The RPC is advised by the RSEA and RSAB, and has a duty to
consult with them under specific circumstances, such as those
relating to disagreements between authors and the RPC.

The wording "is instructed by" strikes me as slightly strange. Perhaps:

"The general roles and responsibilities of the RFC are defined by RFCs
published in the Editorial Stream."

Jay, I also suggest the following tweak:

OLD
* Negotiating its resources with the IETF LLC.

NEW
* Negotiating its specific plans and resources with the IETF LLC.

(That is, general roles and responsibilities are defined by Editorial
Stream RFCs, but specific plans and resources are negotiated with the
IETF LLC.)

Peter

---

From: Jay Daley <[email-masked]>
Date: Fri, 17 Sep 2021 07:15:24 +1200

> On 17/09/2021, at 6:24 AM, Peter Saint-Andre <[email-masked]> wrote:
> 
> 
> 

Works for me or you could have "under specific circumstances, as defined in this document".

> published in the Editorial Stream."

Also fine by me.  I chose "instructed by" for clarity in the conversation not for this document.

> * Negotiating its specific plans and resources with the IETF LLC.

Also works for me.

thanks

Jay

> -- 
> Rfced-future mailing list
> [email-masked]
> https://www.iab.org/mailman/listinfo/rfced-future

-- 
Jay Daley
IETF Executive Director
[email-masked]

---

From: Peter Saint-Andre <[email-masked]>
Date: Thu, 16 Sep 2021 13:59:13 -0600

> Works for me or you could have "under specific circumstances, as defined in this document".

Future documents or contracts might define additional circumstances, I
suppose, so do we want to leave some flexibility?

Peter

---

From: Jay Daley <[email-masked]>
Date: Fri, 17 Sep 2021 08:19:02 +1200

> On 17/09/2021, at 7:59 AM, Peter Saint-Andre <[email-masked]> wrote:
> 

Makes sense.

Jay

> [email-masked] <mailto:[email-masked]>
> https://www.iab.org/mailman/listinfo/rfced-future <https://www.iab.org/mailman/listinfo/rfced-future>
-- 
Jay Daley
IETF Executive Director
[email-masked]

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 17 Sep 2021 10:01:11 +1200

> I copied that verbatim from §2 of RFC 8729. How would you suggest

Well, I think it got a bit mangled on the way. Try this:
  
   The Request for Comments (RFC) Series is the archival
   series dedicated to documenting Internet technical specifications,
   including general contributions from the Internet research and
   engineering community as well as standards documents.  As described
   in [RFC8700], RFCs have been published continually since 1969.
   The previous framework for the RFC Series and the RFC Editor
   function was described in [RFC8729].

[Parenthesis: I am still not clear that Updates: 8729 is the right
way to go. I think it risks causing confusion. Once we have consensus
on the new framework, I believe we need to revisit this.]

>    document authors.  All rights reserved.

Yes, but don't we want to *assert* that as a property of the series?

> Although I think we still have an open issue about boilerplate for the

Sure, but my suggestion was to state the each series defines its own
boilerplate(s).

> and it becomes a full-time role?)

Agreed. "Expected" is not "required".

> Stream RFCs, but specific plans and resources are negotiated with the

Thanks,
   Brian

---

From: Peter Saint-Andre <[email-masked]>
Date: Thu, 16 Sep 2021 18:17:42 -0600

>    function was described in [RFC8729].

WFM.

> on the new framework, I believe we need to revisit this.]

I'm certainly open to further discussion on that topic!

> Yes, but don't we want to *assert* that as a property of the series?

Ah, perhaps not in this document.

> Sure, but my suggestion was to state the each series defines its own

Sure, but would we need to define the boilerplate for the Editorial
Series in *this* document or could that happen elsewhere?

> Agreed. "Expected" is not "required".

Indeed. I defer to Jay on whether he sees value in specifying that
expectation in this document.

Peter

---

From: Jay Daley <[email-masked]>
Date: Fri, 17 Sep 2021 12:23:59 +1200

> On 17/09/2021, at 12:17 PM, Peter Saint-Andre <[email-masked]> wrote:
> 
> 

My answer to the original question is - no, there’s no reason I can see to speculate in this document on the full/part time nature of the role.

Jay

-- 
Jay Daley
IETF Executive Director
[email-masked]

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 17 Sep 2021 15:42:28 +1200

On 17-Sep-21 12:23, Jay Daley wrote:
> 
> 
>> On 17/09/2021, at 12:17 PM, Peter Saint-Andre <[email-masked] <mailto:[email-masked]>> wrote:
>>
>>
> My answer to the original question is - no, there’s no reason I 
can see to speculate in this document on the full/part time nature of the 
role.

Agreed. As long as the language doesn't imply full-time, we are OK.

   Brian

> [email-masked] <mailto:[email-masked]>
>

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 17 Sep 2021 15:51:43 +1200

On 17-Sep-21 12:17, Peter Saint-Andre wrote:
>>>> Question: Should we confirm somewhere that copyright in RFCs (to the 
extent that "we" own it) is assigned to the IETF Trust?
> Ah, perhaps not in this document.

Actually it's stated in BCP78 (https://www.rfc-editor.org/rfc/rfc5378.html#section-3.6). As long as all streams invoke BCP78, we are fine.

> Series in *this* document or could that happen elsewhere?

Well, this document itself will need that boilerplate, so there's no way out.

   Brian

---

From: Peter Saint-Andre <[email-masked]>
Date: Fri, 17 Sep 2021 14:20:43 -0600

FYI, based on discussion this week, I plan to publish -03 in the next 7
days so that we have a clean copy to discuss on the 28th.